"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxHighlight = void 0;
const compass_components_1 = require("@mongodb-js/compass-components");
const react_1 = __importDefault(require("react"));
const json_editor_1 = require("./json-editor");
const syntaxHighlightStyles = (0, compass_components_1.css)({
    '& .cm-editor': {
        backgroundColor: 'transparent',
    },
    '& .cm-line': {
        paddingLeft: 1,
        paddingRight: 1,
    },
    '& .cm-content': {
        padding: 0,
    },
});
const SyntaxHighlight = ({ className, ...props }) => {
    return (react_1.default.createElement(json_editor_1.JSONEditor, { ...props, className: (0, compass_components_1.cx)(syntaxHighlightStyles, className), readOnly: true }));
};
exports.SyntaxHighlight = SyntaxHighlight;
//# sourceMappingURL=syntax-highlight.js.map